{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Category{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'category.css' %}">
{% endblock %}

{% block content %}
<h1 class="text-center pt-4">Adoption</h1>
<div class="text-center my-3">
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <button class="btn orange-btn" type="submit">All</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Cat">
        <button class="btn orange-btn" type="submit">Cats</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Dog">
        <button class="btn orange-btn" type="submit">Dogs</button>
    </form>
    <form class="d-inline-block" method="POST">
        {% csrf_token %}
        <input type="hidden" name="type" value="Other">
        <button class="btn orange-btn" type="submit">Others</button>
    </form>
</div>
<div class="container pt-2 pb-4">
    <div class="row">
        {% for pet in pet_list %}
        <div class="col-md-4 text-center">
            <div class="petbox">
                {% for photo in photo_list %}
                    {% if photo.pet == pet %}
                        <div class="pet-photo mx-auto" style="
                            background: url('{{ photo.photo.url }}') no-repeat center center;
                            background-size: cover;
                            -webkit-background-size: cover;
                            -moz-background-size: cover;
                            -o-background-size: cover;
                        "></div>
                        <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                    {% endif %}
                {% endfor %}
                <h5 class="pb-1 my-0">{{ pet.pet_name }}</h5>
                {{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}<br>
                <i>{{ pet.owner_city }}, {{ pet.owner_country }}</i><br>
                <a href="/detail/{{ pet.id }}/"><button type="button" class="btn white-btn w-75 mt-2">More info</button></a>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}
